/*
   Copyright (c) 2014 by Plexim GmbH
   All rights reserved.

   A free license is granted to anyone to use this software for any legal
   non safety-critical purpose, including commercial applications, provided
   that:
   1) IT IS NOT USED TO DIRECTLY OR INDIRECTLY COMPETE WITH PLEXIM, and
   2) THIS COPYRIGHT NOTICE IS PRESERVED in its entirety.

   THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
   OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
   FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
   AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
   LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
   OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
   SOFTWARE.
 */

#ifndef _INCLUDES_H_
#define _INCLUDES_H_

#define LED_ON_34
#define CRYSTAL 30
#define BAUD_RATE 115200L

#if (CRYSTAL == 40)
#define SYSCLK_HZ (140000000l)
#define LSPCLK_HZ (SYSCLK_HZ / 6l)
#define PLX_CPU_RATE 7.143L   // for a 140MHz CPU clock speed (SYSCLKOUT)
#elif (CRYSTAL == 30)
#define SYSCLK_HZ (30000000l *5l)
#define LSPCLK_HZ (SYSCLK_HZ / 6l)
#define PLX_CPU_RATE 6.667L   // for a 150MHz CPU clock speed (SYSCLKOUT)
#else
#error Unsupported value for CRYSTAL
#endif

#define PLX_DELAY_US(A)  DSP28x_usDelay( \
        ((((long double) A * \
           1000.0L) / \
          (long double)PLX_CPU_RATE) - 9.0L) / 5.0L)

#define PWM_HZ (10000)
#define CONTROL_HZ (10000)
#define TICKS_PER_MS (CONTROL_HZ / 1000) // // ticks per millisecond

#define TASK2_PERIOD 10 // measured in Task 1 ticks

#include "PeripheralHeaderIncludes.h"	// Include all Peripheral Headers
#include "DSP2833x_EPwm_defines.h"

#include <stdint.h>
#include "main.h"
#include "sci.h"
#include "pu.h"
#include "calib.h"
#include "io.h"
#include "macros.h"
#include "control.h"

// Pil includes
#include "pil.h"
#include "pil_ctrl.h"
#include "pil_codeid.h"

#endif
